OpenVDB 3.2.0

Public Types | Static Public Member Functions | List of all members
GridOrTreeConstructor< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
typedef TreeType::Ptr | TreeTypePtr
typedef TreeType::template ValueConverter< bool >::Type::Ptr | BoolTreePtrType

## Static Public Member Functions
static BoolTreePtrType | constructMask (const TreeType &, BoolTreePtrType &maskTree)
static TreeTypePtr | construct (const TreeType &, TreeTypePtr &tree)

## Member Typedef Documentation

## ◆ BoolTreePtrType

typedef TreeType::template ValueConverter<bool>::Type::Ptr BoolTreePtrType

## ◆ TreeTypePtr

typedef TreeType::Ptr TreeTypePtr

## Member Function Documentation

## ◆ construct()

static TreeTypePtr construct | ( | const TreeType & | ,
|  | TreeTypePtr & | tree
| ) |  |
| inline static

## ◆ constructMask()

static BoolTreePtrType constructMask | ( | const TreeType & | ,
|  | BoolTreePtrType & | maskTree
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- LevelSetUtil.h